%set_strip_method none
%set_verify_elf_method textrel=relaxed


Name: mozilla-plugin-adobe-flash
Version: 10.0.22.87
Release: alt0.M41.1

Group: Networking/WWW
Summary: Adobe Flash Player
URL: http://www.adobe.com/products/flashplayer/
License: Commercial

Requires: libcurl

Provides: flash-plugin = %version-%release
Obsoletes: flash-plugin < %version-%release
Provides: mozilla-plugin-macromedia-flash = %version-%release
Obsoletes: mozilla-plugin-macromedia-flash < %version-%release


ExclusiveArch: %ix86
BuildRequires: browser-plugins-npapi-devel libgtk+2-devel xorg-x11-devel

Source: install_flash_player_10_linux-%version.tar.gz
Source1: LICENSE
Source2: adobe_flash_player_eula.desktop.in


%description
Adobe Flash Player %version (Macromedia Flash)
Fully Supported: Mozilla 1.0+, Netscape 7.x, Firefox 0.8+
Partially Supported: Opera, Konqueror 3.x

See the end user license in
  %_docdir/%name-%version/LICENSE.txt
See the distribution license in
  http://www.adobe.com/licensing/distribution/license/


%prep
%setup -q -n install_flash_player_10_linux
install -m 0644 %SOURCE1 LICENSE.txt
chmod a-x ./*

#%%build

%install
mkdir -p -m 0755 %buildroot/%browser_plugins_path
#install -m 0644 flashplayer.xpt %buildroot/%browser_plugins_path
install -m 0644 libflashplayer.so %buildroot/%browser_plugins_path

# menu
mkdir -p -m 0755 %buildroot/%_datadir/applications/
install -m 0644 %SOURCE2 adobe_flash_player_eula.desktop
sed -i 's|%%PATH%%|%{_docdir}/%{name}-%{version}/LICENSE.txt|' adobe_flash_player_eula.desktop
install -m 0644 adobe_flash_player_eula.desktop %buildroot/%_datadir/applications/


%files
#%doc LICENSE* ?eadme.txt
%doc LICENSE*
#
%browser_plugins_path/*
%_datadir/applications/*.desktop

%changelog
* Fri Feb 27 2009 Sergey V Turchin <zerg at altlinux dot org> 10.0.22.87-alt0.M41.1
- built for M41

* Fri Feb 27 2009 Sergey V Turchin <zerg at altlinux dot org> 10.0.22.87-alt1
- security update (SA34012)

* Fri Dec 19 2008 Sergey V Turchin <zerg at altlinux dot org> 10.0.15.3-alt1
- new version
- remove deprecated macroses from specfile

* Fri Oct 31 2008 Sergey V Turchin <zerg at altlinux dot org> 10.0.12.36-alt2
- add libcurl to requires

* Wed Oct 15 2008 Sergey V Turchin <zerg at altlinux dot org> 10.0.12.36-alt1
- new version

* Thu Apr 10 2008 Sergey V Turchin <zerg at altlinux dot org> 9.0.124.0-alt2
- fix src tarball file permissions

* Wed Dec 05 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.115.0-alt1
- new version

* Fri Aug 17 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.48.0-alt3
- fix path to license in desktop-file

* Thu Jul 12 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.48.0-alt2
- add Categories parameter to desktop-file

* Thu Jul 12 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.48.0-alt1
- new version

* Mon Jan 22 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.31.0-alt2
- fix license && package description

* Fri Jan 19 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.31.0-alt1
- release 9.0.31.0

* Thu Oct 26 2006 Sergey V Turchin <zerg at altlinux dot org> 9.0.21.55-alt0.1.beta
- new beta version

* Mon Jun 19 2006 Sergey V Turchin <zerg at altlinux dot org> 7.0.63-alt1
- new version

* Wed Dec 28 2005 Sergey V Turchin <zerg at altlinux dot org> 7.0.61-alt1
- new version

* Thu Jan 06 2005 Alexey Gladkov <legion@altlinux.ru> 7.0.25-alt1.1
- browser-plugins-npapi support added;

* Fri May 28 2004 Sergey V Turchin <zerg at altlinux dot org> 7.0.25-alt1
- new version

* Thu May 27 2004 Sergey V Turchin <zerg at altlinux dot org> 6.0.81-alt2
- fix menu section

* Tue May 25 2004 Sergey V Turchin <zerg at altlinux dot org> 6.0.81-alt1
- new version
- add menufile to show license

* Fri Aug 01 2003 Sergey V Turchin <zerg at altlinux dot org> 6.0.79-alt1
- new version

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 6.0.69-alt1
- initial spec
